--- pypy/pytest-A.cfg.orig	2025-02-24 17:28:26 UTC
+++ pypy/pytest-A.cfg
@@ -4,7 +4,11 @@ cherrypick = ['interpreter', 'objspace/test', 'objspac
 
 cherrypick = ['interpreter', 'objspace/test', 'objspace/std', 'module']
 
-interp = ['python']
+#
+# fag: There is no Python 2.7 available on FreeBSD that is called "python":
+#      use python2.7 instead
+#interp = ['python']
+interp = ['python2.7']
 test_driver = ['test_all.py', '-A', '--python',
     # Get the target_path pypy/goal/pypyd.d.exe from testrunner/get_info.py
     json.loads(subprocess.check_output([sys.executable, 'testrunner/get_info.py']))['target_path'], ]
